package ibase.webitm.ejb.adm;
import java.sql.Timestamp;
import java.util.HashMap;
class Customer
{
	private String empCode;
	private double Amount;
	private String acctCode;
	private String cctrCode;
	private String adCode ;
	private Timestamp startDate ;
	private Timestamp endDate ;
	private double loanAdjamt ;
	private double balAmt ;
	private String tranId ;
	private String loanNo;
	private String refNo; 
	private String postYN ;

	private String cadre;
	private String grade ;
	private String deptCode ;
	private String design;
	private String payTable ;
	private String siteEmp;
	private String siteWrk ;
	private String siteCodePay ;
	private Timestamp payrollDate;
	//TRAN_ID__PAYR          
	//	full and final
	public void setTarnId(String  tranId)
	{
		this.tranId = tranId;
	}
	public String getTarnId()
	{
		return this.tranId;
	}
	public void setLoanNo(String  loanNo)
	{
		this.loanNo = loanNo;
	}
	public String getLoanNo()
	{
		return this.loanNo;
	}
	public void setRefNo(String  refNo)
	{
		this.refNo = refNo;
	}
	public String getRefNo()
	{
		return this.refNo;
	}
	//perk claim && full and final
	public void setStartDate(Timestamp  startDate)
	{
		this.startDate = startDate;
	}
	public Timestamp getStartDate()
	{
		return this.startDate;
	}
	public void setEndDate(Timestamp  endDate)
	{
		this.endDate = endDate;
	}
	public Timestamp  getEndDate()
	{
		return this.endDate;
	}
	public void setBalAmt(double Amount)
	{
		this.balAmt=balAmt;
	}
	public double getBalAmt()
	{
		return this.balAmt;
	}
	public void setLoanAdjAmt(double loanAdjamt)
	{
		this.loanAdjamt=loanAdjamt;
	}
	public double getLoanAdjAmt()
	{
		return this.loanAdjamt;
	}
	//end
	public void setAdCode(String  adCode)
	{
		this.adCode=adCode.trim(); 
	}
	public String  getAdCode()
	{
		return this.adCode;
	}
	public void setEmpCode(String  empCode)
	{
		this.empCode=empCode.trim(); 
	}
	public String  getEmpCode()
	{
		return this.empCode;
	}
	public void setAmount(double Amount)
	{
		this.Amount=Amount;
	}
	public double getAmount()
	{
		return this.Amount;
	}
	public void setAcctCode(String  acctCodeSal)
	{
		this.acctCode=acctCodeSal; 
	}
	public String  getAcctCode()
	{
		return this.acctCode;
	}
	public void setCctrCode(String  cctrCodeSal)
	{
		this.cctrCode = cctrCodeSal; 
	}
	public String  getCctrCode()
	{
		return this.cctrCode;
	}
	//latter adeed
	public void setCrade(String  cadre)
	{
		this.cadre = cadre; 
	}
	public String  getCrade()
	{
		return this.cadre;
	}
	public void setGrade(String  grade)
	{
		this.grade = grade; 
	}
	public String  getGrade()
	{
		return this.grade;
	}
	public void setDeptCode(String  deptCode)
	{
		this.deptCode = deptCode; 
	}
	public String  getDeptCode()
	{
		return this.deptCode;
	}
	public void setDesignation(String  design)
	{
		this.design = design; 
	}
	public String  getDesignation()
	{
		return this.design;
	}
	public void setPayTable(String  payTable)
	{
		this.payTable = payTable; 
	}
	public String  getPayTable()
	{
		return this.payTable;
	}
	public void setSiteEmp(String  siteEmp)
	{
		this.siteEmp = siteEmp; 
	}
	public String  getSiteEmp()
	{
		return this.siteEmp;
	}
	public void setSiteWork(String  siteWrk)
	{
		this.siteWrk = siteWrk; 
	}
	public String  getSiteWork()
	{
		return this.siteWrk;
	}
	public void setSiteCodePay(String  siteCodePay)
	{
		this.siteCodePay = siteCodePay; 
	}
	public String  getSiteCodePay()
	{
		return this.siteCodePay;
	}
	public void setPayrollDate(Timestamp  payrollDate)
	{
		this.payrollDate = payrollDate; 
	}
	public Timestamp  getPayrollDate()
	{
		return this.payrollDate;
	}
	//detail
	public void setPostYN(String  postYN)
	{
		this.postYN = postYN; 
	}
	public String  getPostYN()
	{
		return this.postYN;
	}
	//end
}